test = {   'name': 'q2d',
    'points': 1,
    'suites': [   {   'cases': [   {   'code': '>>> \n'
                                               '>>> '
                                               '######################################;\n'
                                               '>>> ## DO NOT MODIFY BELOW '
                                               'THIS COMMENT ##;\n'
                                               '>>> '
                                               '######################################;\n'
                                               '>>> \n'
                                               '>>> num_iters, min_n, max_n, '
                                               'sigma = 1000, 10, 100, 10;\n'
                                               '>>> for _ in '
                                               'range(num_iters):\n'
                                               '...     m = '
                                               'np.random.randint(min_n, '
                                               'max_n)\n'
                                               '...     n = '
                                               'np.random.randint(min_n, '
                                               'max_n)\n'
                                               '...     M = sigma * '
                                               'np.random.randn(m, n)\n'
                                               '...     v = sigma * '
                                               'np.random.randn(n)\n'
                                               '...     a = mat_vec(M, v)\n'
                                               '...     e = M @ v\n'
                                               '...     assert (\n'
                                               '...         a.shape == '
                                               'e.shape\n'
                                               '...     ), "Calculated shape '
                                               '{} does not match the expected '
                                               'shape {}".format(\n'
                                               '...         a.shape, e.shape\n'
                                               '...     )\n'
                                               '...     assert np.all(\n'
                                               '...         np.isclose(a, e)\n'
                                               '...     ), "Calculated '
                                               'value\\n{}\\ndoes not match '
                                               'the expected '
                                               'value\\n{}".format(\n'
                                               '...         str(a), str(e)\n'
                                               '...     );\n'
                                               '>>> print("Congratulations! '
                                               'Your vec_sca function is '
                                               'correct!")\n'
                                               'Congratulations! Your vec_sca '
                                               'function is correct!\n',
                                       'hidden': False,
                                       'locked': False}],
                      'scored': True,
                      'setup': '',
                      'teardown': '',
                      'type': 'doctest'}]}
